Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogManagerImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
                  |
                  +--com.beasys.commerce.ebusiness.catalog.CatalogManagerImpl

public class CatalogManagerImpl
extends CatalogServiceImpl

The implementation class for the `CatalogManager` Session EJB.
Each service that is managed by an instance of the `CatalogManager` is specified by an EJB reference environment property:

- `ejb/ProductItemManager` - specifies the managed `ProductItemManager` service.
- `ejb/CategoryManager` - specifies the managed `CategoryManager` service.
- `ejb/CatalogQueryManager` - specifies the managed `CatalogQueryManager` service.
- `ejb/CustomDataManager` - specifies the managed `CustomDataManager` service.

Multiple Product Catalogs may be created by deploying a `CatalogManager` service for each Product Catalog. Each `CatalogManager` can manage a different set of Catalog services by way of modifying the service EJB references in the deployment descriptor. Each managed Catalog service may also be deployed multiple times with different service implementation delegates (as specified in each Catalog service deployment descriptor). In this way each deployed `CatalogManager` can managed a unique set of Catalog services.

See Also:
  `CatalogManager`, `CatalogManagerHome`, `CategoryManager`, `ProductItemManager`, `CatalogQueryManager`, `CustomDataManager`, Serialized Form

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogManagerImpl()`

Method Summary
`CatalogRequest` | `createAdminCatalogRequest()` Creates a CatalogRequest with administrative user access permissions.
`CatalogRequest` | `createCatalogRequest()` Creates a CatalogRequest with default user access permissions.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`CatalogQueryManager` | `getCatalogQueryManager(CatalogRequest request)` Returns the CatalogQueryManager catalog service.
`CategoryManager` | `getCategoryManager(CatalogRequest request)` Returns the CategoryManager catalog service.
`CustomDataManager` | `getCustomDataManager(CatalogRequest request)` Returns the CustomDataManager catalog service.
`ProductItemManager` | `getProductItemManager(CatalogRequest request)` Returns the ProductItemManager catalog service.
`void` | `onRemoveItem(CatalogRequest request, CatalogItemKey itemKey)` Callback method.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogManagerImpl

    public CatalogManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Overrides:
    ejbCreate in class CatalogServiceImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Overrides:
    ejbPostCreate in class CatalogServiceImpl

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Overrides:
    ejbActivate in class CatalogServiceImpl

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Overrides:
    ejbPassivate in class CatalogServiceImpl

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Overrides:
    ejbRemove in class CatalogServiceImpl

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Overrides:
    setSessionContext in class CatalogServiceImpl

### getCategoryManager

    public CategoryManager getCategoryManager(CatalogRequest request)

  Returns the CategoryManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CategoryManager service
  See Also:
    `CategoryManager`, `CatalogManager.createCatalogRequest`, `CatalogManager.createAdminCatalogRequest`

### getProductItemManager

    public ProductItemManager getProductItemManager(CatalogRequest request)

  Returns the ProductItemManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the ProductItemManager service
  See Also:
    `ProductItemManager`, `CatalogManager.createCatalogRequest`, `CatalogManager.createAdminCatalogRequest`

### getCatalogQueryManager

    public CatalogQueryManager getCatalogQueryManager(CatalogRequest request)

  Returns the CatalogQueryManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CatalogQueryManager service
  See Also:
    `CatalogQueryManager`, `CatalogManager.createCatalogRequest`, `CatalogManager.createAdminCatalogRequest`

### getCustomDataManager

    public CustomDataManager getCustomDataManager(CatalogRequest request)

  Returns the CustomDataManager catalog service.

  Parameters:
    `request` - the user's current CatalogRequest
  Returns:
    the CustomDataManager service
  See Also:
    `CustomDataManager`, `CatalogManager.createCatalogRequest`, `CatalogManager.createAdminCatalogRequest`

### onRemoveItem

    public void onRemoveItem(CatalogRequest request,
                             CatalogItemKey itemKey)

  Callback method. Services that remove items: `CategoryManager.removeCategory` and `ProductItemMananger.removeItem` should notify the `CatalogManager` that the items have been removed.

  Parameters:
    `request` - the current CatalogRequest for the user
    `itemKey` - the key for the item being removed

### createCatalogRequest

    public CatalogRequest createCatalogRequest()

  Creates a CatalogRequest with default user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  See Also:
    `CatalogManager.createAdminCatalogRequest`

### createAdminCatalogRequest

    public CatalogRequest createAdminCatalogRequest()

  Creates a CatalogRequest with administrative user access permissions. The CatalogRequest object is the first parameter to most catalog methods and encapsulates information about the current user and the data they are requesting.

  See Also:
    `CatalogManager.createCatalogRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved